Changeset 141206


Ignore:
Timestamp:
Oct 12, 2015, 8:17:37 PM (4 years ago)
Author:
jeremyhu@…
Message:

*-gcc42: Re-allow gcc-4.2 and llvm-gcc-4.2 on El Cap for now

Location:
trunk/dports/lang
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/lang/apple-gcc42/Portfile

    r141132 r141206  
    7676variant universal {}
    7777
    78 if {${os.platform} eq "darwin" && ${os.major} >= 15} {
     78if {${os.platform} eq "darwin" && ${os.major} > 15} {
    7979    depends_lib
    8080    depends_run
    8181    archive_sites
    8282    pre-fetch {
    83         ui_error "${name} is not supported on El Capitan or later."
     83        ui_error "${name} is not supported on OS X versions newer than El Capitan."
    8484        return -code error {unsupported platform}
    8585    }
  • trunk/dports/lang/llvm-gcc42/Portfile

    r141133 r141206  
    3838supported_archs i386 x86_64
    3939
    40 if {${os.platform} eq "darwin" && ${os.major} >= 15} {
     40if {${os.platform} eq "darwin" && ${os.major} > 15} {
    4141    depends_lib
    4242    depends_run
    4343    archive_sites
    4444    pre-fetch {
    45         ui_error "${name} is not supported on El Capitan or later."
     45        ui_error "${name} is not supported on OS X versions newer than El Capitan."
    4646        return -code error {unsupported platform}
    4747    }
Note: See TracChangeset for help on using the changeset viewer.